package com.dev.swms.server.action.formatter;

import java.util.List;

import com.dev.energy.server.format.Formatter;
import com.dev.swms.server.model.shipping.PickTicketDetail;
import com.dev.swms.server.service.shipping.PickTicketManager;

public class SheChangePickFormat implements Formatter{
	
	public String format(String property, Object cellValue, List origenData,
			 String referenceModel, String locale) {
		String code=origenData.get(7).toString();
		String status=origenData.get(6).toString();
		if(code!=null&&code.length()>1&&status.equals("ALLOCATE")){
			return "<div style='background-color:red' >" + code + "</div>";
		}else{
			return code;
		}
	}
}
